package com.zd.laboratory.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.laboratory.domain.LabRiskPlanAbnormalLog;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

/**
 * 风险异常日志对象 lab_risk_plan_abnormal_log
 *
 * @author liubo
 * @date 2021-09-06
 */
@ApiModel("风险异常日志表")
public class LabRiskPlanAbnormalLogVO extends LabRiskPlanAbnormalLog {

    private Integer appPageNum;

    private Integer appPageSize;

    @ApiModelProperty(value = "-1  查询全部  0  是当天数据  1 是昨天数据 ")
    private Integer count;

    @ApiModelProperty(value = "字符串时间")
    private String showTime;

    @ApiModelProperty(value = "预案组状态")
    private String groupStatus;

    @ApiModelProperty(value = "实验室管理员id")
    private Long adminId;

    @ApiModelProperty(value = "风险级别")
    private Long typeId;

    @ApiModelProperty(value = "风险级别名称")
    private String typeName;

    @ApiModelProperty(value = "实验室学科类别")
    private Long subDept;

    @ApiModelProperty(value = "开始时间")
    private String strStartDate;

    @ApiModelProperty(value = "结束时间")
    private String strEndDate;

    @ApiModelProperty(value = "预案语音播报内容")
    private String voicebroadcast;

    public Integer getAppPageNum() {
        return appPageNum;
    }

    public void setAppPageNum(Integer appPageNum) {
        this.appPageNum = appPageNum;
    }

    public Integer getAppPageSize() {
        return appPageSize;
    }

    public void setAppPageSize(Integer appPageSize) {
        this.appPageSize = appPageSize;
    }

    public Integer getCount() {
        return count;
    }

    public void setCount(Integer count) {
        this.count = count;
    }


    public String getShowTime() {
        return showTime;
    }

    public void setShowTime(String showTime) {
        this.showTime = showTime;
    }

    public String getGroupStatus() {
        return groupStatus;
    }

    public void setGroupStatus(String groupStatus) {
        this.groupStatus = groupStatus;
    }

    public Long getAdminId() {
        return adminId;
    }

    public void setAdminId(Long adminId) {
        this.adminId = adminId;
    }

    public Long getTypeId() {
        return typeId;
    }

    public void setTypeId(Long typeId) {
        this.typeId = typeId;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Long getSubDept() {
        return subDept;
    }

    public void setSubDept(Long subDept) {
        this.subDept = subDept;
    }

    public String getStrStartDate() {
        return strStartDate;
    }

    public void setStrStartDate(String strStartDate) {
        this.strStartDate = strStartDate;
    }

    public String getStrEndDate() {
        return strEndDate;
    }

    public void setStrEndDate(String strEndDate) {
        this.strEndDate = strEndDate;
    }

    public String getVoicebroadcast() {
        return voicebroadcast;
    }

    public void setVoicebroadcast(String voicebroadcast) {
        this.voicebroadcast = voicebroadcast;
    }
}
